'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var setPosition = function setPosition(position) {
  var obj = {};
  obj[position] = '0';
  return obj;
};

var setTransformValue = function setTransformValue(position) {
  if (position === 'left') {
    return 'translateX(-100%)';
  } else if (position === 'right') {
    return 'translateX(100%)';
  } else if (position === 'top') {
    return 'translateY(-100%)';
  } else {
    return 'translateY(100%)';
  }
};

var createStyles = function createStyles(defaultStyles, isOpen, width, height, position, customStyles) {
  // Get the vertical or horizontal position of an element so we can use it in
  // inline styles.
  var positionProperty = setPosition(position);
  return {
    overlay: _extends({}, defaultStyles.overlay, {
      width: isOpen ? '100%' : ''
    }, customStyles.overlay),
    content: _extends({}, defaultStyles.content, {
      width: width,
      height: height
    }, positionProperty, {
      MozTransform: isOpen ? '' : setTransformValue(position),
      MsTransform: isOpen ? '' : setTransformValue(position),
      OTransform: isOpen ? '' : setTransformValue(position),
      WebkitTransform: isOpen ? '' : setTransformValue(position),
      transform: isOpen ? '' : setTransformValue(position),
      transition: 'all 0.2s'
    }, customStyles.content, {
      // !important
      visibility: isOpen ? 'visible' : 'hidden',
      // Off-Canvas element should be able to receive focus immediately
      // https://allyjs.io/tutorials/focusing-in-animated-ui.html#remedy-2-caveat
      transitionProperty: isOpen ? 'transform' : ''
    })
  };
};

exports.default = createStyles;